lemonldap-ng_1.3.3-1_all.deb


Advertisement

Description

lemonldap-ng - OpenID, CAS and SAML compatible Web-SSO system

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: lemonldap-ng
Package version: 1.3.3
Package release: 1
Package architecture: all
Package type: deb
Installed size: 82 B
Download size: 33.25 KB
Official Mirror: ftp.br.debian.org
Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies or directly on application Apache servers. It can be used in conjunction with OpenID, CAS and SAML systems as identity or service provider. It can also be used as proxy between those federation systems. It manages both authentication and authorization and provides headers for accounting. So you can have a full AAA protection. Authorization are built by associating a regular expression and a rule. Regular expression is applied on the requested URL and the rule calculates if the user is authorized. This package is a metapackage that install handler, manager and portal.

Alternatives

    Download

    Source package: lemonldap-ng

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install lemonldap-ng deb package:
      # sudo apt-get install lemonldap-ng

    Files

    • /usr/share/doc/lemonldap-ng/NEWS.Debian.gz
    • /usr/share/doc/lemonldap-ng/README.Debian
    • /usr/share/doc/lemonldap-ng/changelog.Debian.gz
    • /usr/share/doc/lemonldap-ng/changelog.gz
    • /usr/share/doc/lemonldap-ng/copyright
    • /usr/share/doc/lemonldap-ng/examples/handler
    • /usr/share/doc/lemonldap-ng/examples/manager
    • /usr/share/doc/lemonldap-ng/examples/portal

    Changelog

    2014-10-15 - Xavier Guimard <x.guimard@free.fr> lemonldap-ng (1.3.3-1) unstable; urgency=medium [ Xavier Guimard ] * Imported Upstream version 1.3.3 (Closes: #736739, #736807) * Update images copyrights * Add captcha directories management * Rename liblemonldap-ng-conf-perl to liblemonldap-ng-common-perl with a transitional package * Add libnet-facebook-oauth2-perl to recommended dependencies * Add libunicode-string-perl in dependencies * Rearrange dependencies as required in upstream * Update lintian overrides to add notifications directory * Call "migrate" debconf arg only if a previous version exists * Bump Standards-Version to 3.9.5 * Update javascript patch * Restore libxml-simple-perl in manager dependencies * Add psession dirs in lintian overrides * Use dpkg only to compare versions * Modify Apache-2.4 patch to be compliant both with Apache 2.2 and 2.4 unsing mod_version [ Salvatore Bonaccorso ] * Update Vcs-Browser URL to cgit web frontend [ gregor herrmann ] * Guard `dpkg --compare-versions' call in .config script with a check if the currently installed package version exists. Thanks to Ryan Tandy for the bug report. (Closes: #755945) * Explicitly (build) depend on libcgi-pm-perl. * Declare compliance with Debian Policy 3.9.6.

    2013-09-05 - Xavier Guimard <x.guimard@free.fr> lemonldap-ng (1.2.5-1) unstable; urgency=low * Imported Upstream version 1.2.5 * Change dependencies as proposed by upstream : + Add liblwp-protocol-https-perl in dependencies + Move liblemonldap-ng-handler-perl from portal dependencies to suggested dependencies * Remove hide-perl-warning and remove-dev-hook patches now included in upstram * Update description

    2013-06-02 - Xavier Guimard <x.guimard@free.fr> lemonldap-ng (1.2.4-2) unstable; urgency=low * Fix "transition towards Apache 2.4" by adding a patch to comment Apache-2.4 example configuration files (Closes: #669808, #669809, #669822)

    2013-04-24 - Xavier Guimard <x.guimard@free.fr> lemonldap-ng (1.2.4-1) unstable; urgency=low * Imported upstream version 1.2.4 * Replace libhttp-message-perl dependency by "libhttp-message-perl | libwww-perl (<< 6)"

    2013-04-15 - Xavier Guimard <x.guimard@free.fr> lemonldap-ng (1.2.3-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) [ Xavier Guimard ] Thanks a lot to Florian Schlichting for its review * Imported upstream version 1.2.3 * Update debian/copyright: + change remote license to GPL-2+ + update years * Update dependencies (many changes in upstream) * Remove verify-saml-signatures.patch now included in upstream * Fix permissions in debian/rules instead of in postinst scripts and add lintian-overrides files to hide lintian permissions warnings * Add patch to fix "Use of qw(...) as parentheses is deprecated" warning * Install MyHandler.pm in /usr/share/lemonldap-ng/handler/ * Update debian/control description * Change remote license to GPL-2+ (change introduced in 1.2.3) * Use dpkg --compare-versions to launch migration scripts in *.postinst * Correct #DEBHELPER# usage in *.postinst * Add patch to remove upstream dev hook

    2012-12-23 - Xavier Guimard <x.guimard@free.fr> lemonldap-ng (1.2.2-3) unstable; urgency=low * Remove recursive changes in debian/*.postinst (chown and chmod) * Remove /var/lib/lemonldap-ng/handler from dh_installdirs list (Closes: #694890) * Remove pre-defined MyHandler file. Now available from examples only * Move test application to examples directory * Update README.Debian file * Replace duplicate files by links * Update descriptions * Update debian/copyright (missing entries) * Add verify-saml-signatures.patch, fix for CVE-2012-6426 (Closes: #696329)

    Advertisement
    Advertisement